<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net6.0</TargetFramework>
		<LangVersion>default</LangVersion>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<GenerateDocumentationFile>True</GenerateDocumentationFile>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<OutputPath>..\bin\</OutputPath>
		<DocumentationFile>.\IRaCIS.Core.Application.xml</DocumentationFile>
		<NoWarn>1701;1702;1591</NoWarn>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <NoWarn>1701;1702;1591;1587</NoWarn>
	</PropertyGroup>



	<ItemGroup>

    <Using Include="IRaCIS.Core.Application;" />
		<Using Include="AutoMapper.QueryableExtensions;" />
		<Using Include="Microsoft.EntityFrameworkCore;" />
		<Using Include="IRaCIS.Core.Domain.Models;" />
		<Using Include="IRaCIS.Core.Infrastructure.Extention;" />
		<Using Include="IRaCIS.Core.Infra.EFCore;" />

		<!-- Global using -->

	</ItemGroup>


	<ItemGroup>
		<Compile Remove="WebAppConfig.cs" />
	</ItemGroup>


	<ItemGroup>
		<None Remove="IRaCIS.Core.Application.xml" />
		<None Remove="Resources\en-US.json" />
		<None Remove="Resources\zh-CN.json" />
		<None Remove="Service\Allocation\TaskConsistentRuleService.cs~RF1603d47.TMP" />
		<None Remove="Service\Reading\ReadingImageTask\ReadingJudgeTaskService.cs~RF198afd23.TMP" />
	</ItemGroup>


	<ItemGroup>
	  <Content Include="Resources\zh-CN.json">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	    <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
	    <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
	  </Content>
	  <Content Include="Resources\en-US.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	    <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
	    <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
	  </Content>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper.Collection.EntityFrameworkCore" Version="9.0.0" />
		<PackageReference Include="BeetleX.BNR" Version="1.0.1" />
		<PackageReference Include="Castle.Core.AsyncInterceptor" Version="2.1.0" />
		<PackageReference Include="EasyCaching.Interceptor.AspectCore" Version="1.7.0" />
		<PackageReference Include="ExcelDataReader" Version="3.6.0" />
		<PackageReference Include="ExcelDataReader.DataSet" Version="3.6.0" />
		<PackageReference Include="fo-dicom.Codecs" Version="5.1.0">
		  <TreatAsUsed>true</TreatAsUsed>
		</PackageReference>
		<PackageReference Include="fo-dicom.Drawing" Version="4.0.8" />
		<PackageReference Include="fo-dicom.Imaging.ImageSharp" Version="5.0.3" />
		<PackageReference Include="Hangfire" Version="1.7.31">
		  <TreatAsUsed>true</TreatAsUsed>
		</PackageReference>
		<PackageReference Include="Magicodes.IE.Core" Version="2.6.9" />
		<PackageReference Include="Magicodes.IE.Csv" Version="2.6.9">
		  <TreatAsUsed>true</TreatAsUsed>
		</PackageReference>
		<PackageReference Include="Magicodes.IE.Excel" Version="2.6.9">
		  <TreatAsUsed>true</TreatAsUsed>
		</PackageReference>
		<PackageReference Include="Magicodes.IE.Excel.AspNetCore" Version="2.6.9" />
		<PackageReference Include="MailKit" Version="3.4.2" />
		<PackageReference Include="MediatR" Version="11.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.JsonPatch" Version="6.0.10" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.10">
		  <TreatAsUsed>true</TreatAsUsed>
		</PackageReference>
		<PackageReference Include="MimeKit" Version="3.4.2" />
		<PackageReference Include="MiniExcel" Version="1.28.1" />
		<PackageReference Include="MiniWord" Version="0.6.1" />
		<PackageReference Include="My.Extensions.Localization.Json" Version="3.0.0">
		  <TreatAsUsed>true</TreatAsUsed>
		</PackageReference>
		<PackageReference Include="Nito.AsyncEx" Version="5.1.2" />
		<PackageReference Include="NPOI" Version="2.6.0" />
		<PackageReference Include="Panda.DynamicWebApi" Version="1.2.0" />
		<PackageReference Include="Quartz" Version="3.5.0" />
		<PackageReference Include="SixLabors.ImageSharp" Version="2.1.3" />
		<PackageReference Include="Swashbuckle.AspNetCore.Filters" Version="7.0.5" />
		<PackageReference Include="WinSCP" Version="5.21.5" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\IRaCIS.Core.Infra.EFCore\IRaCIS.Core.Infra.EFCore.csproj" />
	</ItemGroup>

</Project>
